Unable to debug Acrobat 2019.21.20048 in Xcode for plug-in development [Acrobat SDK]

Contributor ,
Oct 25, 2019

Copy link to clipboard

Copied

Hello,

 

First off,  there used to a separate sub-forum for Acrobat SDK questions, for developers of Acrobat plug-ins, which was separate from the main Acrobat forum, which is mostly user questions.  But now, the link to https://forums.adobe.com/community/acrobat/acrobat_sdk simply redirects to the main Acrobat forum at https://community.adobe.com/t5/Acrobat/bd-p/acrobat.  So it seems that Adobe has forgetten about us plug-in developers, and our need to be able to ask SDK-specific questions without them being lost in a sea of user questions.  So I'm posting here.

 

Anyway, the main reason I'm posting is that, with the latest auto-update to Acrobat DC on Mac, version 2019.21.20048, Adobe seems to have added entitlements to Acrobat to run on macOS 10.15 "Catalina."  That's all fine, and Adobe has to follow whatever new requirements Apple places on apps, just like the rest of us do.  Unfortunately, though, the addition of the entitlements to Acrobat makes it impossible to attach the Xcode debugger to the app for debugging our third-party plug-ins.

 

When I try to debug with Acrobat set as the Executable in my scheme in Xode, or when I try to "Attach to Process," I get an error stating, "Could not attach to pid," and "Error 1."  This occurs with both Xcode 10 and 11.  (This worked fine in both versions of Xcode with Acrobat prior to the 2019.21.20048 update.)

 

Does Adobe have any plans to make Acrobat debuggable again?  Or is there a workaround?

 

Also, are there plans to restore the Acrobat SDK forum?

 

Thanks,

Dan

TOPICS
Acrobat SDK and JavaScript

Views

116

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

Unable to debug Acrobat 2019.21.20048 in Xcode for plug-in development [Acrobat SDK]

Contributor ,
Oct 25, 2019

Copy link to clipboard

Copied

Hello,

 

First off,  there used to a separate sub-forum for Acrobat SDK questions, for developers of Acrobat plug-ins, which was separate from the main Acrobat forum, which is mostly user questions.  But now, the link to https://forums.adobe.com/community/acrobat/acrobat_sdk simply redirects to the main Acrobat forum at https://community.adobe.com/t5/Acrobat/bd-p/acrobat.  So it seems that Adobe has forgetten about us plug-in developers, and our need to be able to ask SDK-specific questions without them being lost in a sea of user questions.  So I'm posting here.

 

Anyway, the main reason I'm posting is that, with the latest auto-update to Acrobat DC on Mac, version 2019.21.20048, Adobe seems to have added entitlements to Acrobat to run on macOS 10.15 "Catalina."  That's all fine, and Adobe has to follow whatever new requirements Apple places on apps, just like the rest of us do.  Unfortunately, though, the addition of the entitlements to Acrobat makes it impossible to attach the Xcode debugger to the app for debugging our third-party plug-ins.

 

When I try to debug with Acrobat set as the Executable in my scheme in Xode, or when I try to "Attach to Process," I get an error stating, "Could not attach to pid," and "Error 1."  This occurs with both Xcode 10 and 11.  (This worked fine in both versions of Xcode with Acrobat prior to the 2019.21.20048 update.)

 

Does Adobe have any plans to make Acrobat debuggable again?  Or is there a workaround?

 

Also, are there plans to restore the Acrobat SDK forum?

 

Thanks,

Dan

TOPICS
Acrobat SDK and JavaScript

Views

117

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Oct 25, 2019 0

Have something to add?

Join the conversation